Межсайтовый скриптинг в WWWthreads

Дата публикации:
06.10.2006
Дата изменения:
17.10.2006
Всего просмотров:
1629
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WWWthreads
Уязвимые версии: WWWthreads 5.4.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "Cat" в различных сценариях. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host]/dosearch.php?Cat=[code]
http://[host]/postlist.php?Cat=[code]
http://[host]/showmembers.php?Cat=[code]
http://[host]/faq_english.php?Cat=[code]
http://[host]/online.php?Cat=[code]
http://[host]/login.php?Cat=[code]
http://[host]/newuser.php?Cat=[code]
http://[host]/wwwthreads.php?Cat=[code]
http://[host]/search.php?Cat=[code]

URL производителя: www.wwwthreads.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA